
QGIS Application - Bug report #19906

GetMap request with line in the SLD does not output the line in the response image - test added

2018-09-21 09:33 AM - Tudor Bărăscu

Status: Closed

Priority: Normal

Assignee: Paul Blottiere

Category: QGIS Server

Affected QGIS version:3.3(master) Regression?: No

Operating System: Debian Buster Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27730

Description

See https://github.com/qgis/QGIS/pull/7961

Tests in:

tests/src/python/test_qgsserver_wms_getmap.py

with

@unittest.expectedFailure

    # TODO make Server Getmap work with SLD Highlight feature and enable test

    @unittest.expectedFailure

    def test_wms_getmap_highlight_line(self):

        # checks SLD stroke-width works for Lines See issue 19795 comments

        qs = "?" + "&".join(["%s=%s" % i for i in list({

            "MAP": urllib.parse.quote(self.projectPath),

            "SERVICE": "WMS",

            "VERSION": "1.1.1",

            "REQUEST": "GetMap",

            "LAYERS": "Country_Labels",

            "HIGHLIGHT_GEOM": "LINESTRING(-15000000 8055310, 2500000 8055310)",

            "HIGHLIGHT_SYMBOL": "<?xml version=\"1.0\" encoding=\"UTF-8\"?><StyledLayerDescriptor

xmlns=\"http://www.opengis.net/sld\" xmlns:ogc=\"http://www.opengis.net/ogc\"

xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" version=\"1.1.0\" xmlns:xlink=\"http://www.w3.org/1999/xlink\"

xsi:schemaLocation=\"http://www.opengis.net/sld http://schemas.opengis.net/sld/1.1.0/StyledLayerDescriptor.xsd\"

xmlns:se=\"http://www.opengis.net/se\"><UserStyle><se:FeatureTypeStyle><se:Rule><se:LineSymbolizer><se:Stroke><se:SvgParameter name=\"stroke\">%23ff0000</se:SvgParameter><se:SvgParameter name=\"stroke-opacity\">1</se:SvgParameter><se:SvgParameter name=\"stroke-width\">17.3</se:SvgParameter><se:SvgParameter name=\"stroke-linejoin\">bevel</se:SvgParameter></se:Stroke></se:LineSymbolizer></se:Rule></se:FeatureTypeStyle></UserStyle></StyledLayerDescriptor>",
            "HIGHLIGHT_LABELSTRING": "",
            "HIGHLIGHT_LABELSIZE": "10",
            "HIGHLIGHT_LABELCOLOR": "black",
            "HIGHLIGHT_LABELBUFFERCOLOR": "white",
            "HIGHLIGHT_LABELBUFFERSIZE": "1",
            "STYLES": "",
            "FORMAT": "image/png",
            "BBOX": "-16817707,-4710778,5696513,14587125",
            "HEIGHT": "500",
            "WIDTH": "500",
            "CRS": "EPSG:3857" 
        }.items())])
        r, h = self._result(self._execute_request(qs))
        self._img_diff_error(r, h, "WMS_GetMap_Highlight_Line")


arameter name=\"stroke\">%23ff0000</se:SvgParameter><se:SvgParameter

name=\"stroke-opacity\">1</se:SvgParameter><se:SvgParameter

name=\"stroke-width\">17.3</se:SvgParameter><se:SvgParameter

name=\"stroke-linejoin\">bevel</se:SvgParameter></se:Stroke></se:LineSymbolizer></se:Rule></se:FeatureTypeStyle></UserStyle></StyledLayerDescriptor>",
            "HIGHLIGHT_LABELSTRING": "",
            "HIGHLIGHT_LABELSIZE": "10",
            "HIGHLIGHT_LABELCOLOR": "black",
            "HIGHLIGHT_LABELBUFFERCOLOR": "white",
            "HIGHLIGHT_LABELBUFFERSIZE": "1",
            "STYLES": "",
            "FORMAT": "image/png",
            "BBOX": "-16817707,-4710778,5696513,14587125",
            "HEIGHT": "500",
            "WIDTH": "500",
            "CRS": "EPSG:3857" 
        }.items())])
        r, h = self._result(self._execute_request(qs))
        self._img_diff_error(r, h, "WMS_GetMap_Highlight_Line")
            "WIDTH": "500",

            "CRS": "EPSG:3857" 

        }.items())])

        r, h = self._result(self._execute_request(qs))

        self._img_diff_error(r, h, "WMS_GetMap_Highlight_Line")

Associated revisions

Revision f74f7855 - 2018-09-27 05:24 PM - Paul Blottiere

Fixes #19906 - GetMap request with line in the SLD is correctly rendered

Revision 63f597f9 - 2018-09-28 05:07 PM - Paul Blottiere

Merge pull request #8040 from pblottiere/server_highlight_line

[server] Fixes #19906 - GetMap request with line in the SLD is correctly rendered

History

#1 - 2018-09-27 05:17 PM - Paul Blottiere

- Assignee set to Paul Blottiere

#2 - 2018-09-28 05:06 PM - Paul Blottiere

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|f74f78557d9b18484afa44263f2c4e79f581ab0f.
